Package com.sun.jna.platform.win32

# Class Winsvc.SC_ACTION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winsvc.SC_ACTION

Direct Known Subclasses:
  `Winsvc.SC_ACTION.ByReference`

Enclosing interface:
  Winsvc

@FieldOrder({"type","delay"}) public static class Winsvc.SC_ACTION extends Structure
Represents an action that the service control manager can perform.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Winsvc.SC_ACTION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `delay`
  The time to wait before performing the specified action, in milliseconds.
  `int`
  `type`
  The action to be performed.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SC_ACTION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public int type
    The action to be performed. This member can be one of the following values from the SC_ACTION_TYPE enumeration type.

  - ### delay

    public int delay
    The time to wait before performing the specified action, in milliseconds.

- ## Constructor Details

  - ### SC_ACTION

    public SC_ACTION()